> ## Documentation Index
> Fetch the complete documentation index at: https://synapse-docs.apart.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch Subject Profile



## OpenAPI

````yaml /openapi.json patch /v1/organizations/{organization_id}/apps/{app_id}/environments/{environment_id}/subjects/{subject_id}/profile
openapi: 3.1.0
info:
  description: Are we on the same page?
  title: Synapse
  version: 0.1.0
servers: []
security: []
paths:
  /v1/organizations/{organization_id}/apps/{app_id}/environments/{environment_id}/subjects/{subject_id}/profile:
    patch:
      tags:
        - v1 control plane
      summary: Patch Subject Profile
      operationId: >-
        patch_subject_profile_v1_organizations__organization_id__apps__app_id__environments__environment_id__subjects__subject_id__profile_patch
      parameters:
        - in: path
          name: subject_id
          required: true
          schema:
            title: Subject Id
            type: string
        - in: header
          name: Idempotency-Key
          required: true
          schema:
            maxLength: 255
            minLength: 1
            title: Idempotency-Key
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubjectProfilePatchRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubjectProfilePatchResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
        - SessionCookie: []
components:
  schemas:
    SubjectProfilePatchRequest:
      additionalProperties: false
      properties:
        expected_revision:
          anyOf:
            - minimum: 0
              type: integer
            - type: 'null'
          title: Expected Revision
        set:
          additionalProperties: true
          maxProperties: 64
          minProperties: 1
          title: Set
          type: object
      required:
        - set
      title: SubjectProfilePatchRequest
      type: object
    SubjectProfilePatchResponse:
      properties:
        idempotent_replay:
          default: false
          title: Idempotent Replay
          type: boolean
        profile_revision:
          minimum: 1
          title: Profile Revision
          type: integer
        subject_id:
          title: Subject Id
          type: string
      required:
        - subject_id
        - profile_revision
      title: SubjectProfilePatchResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      description: Named syn_ API key or migration-only legacy key.
      scheme: bearer
      type: http
    ApiKeyAuth:
      description: Header alias for a named or legacy API key.
      in: header
      name: X-API-Key
      type: apiKey
    SessionCookie:
      description: Opaque administrator browser session.
      in: cookie
      name: synapse_session
      type: apiKey

````